import gulp from"gulp";

import{
JAVASCRIPT,
MARKDOWN,
JSON_YAML,
IGNORED_SOURCES}from
"../../files.js";
import{getWatchTask}from"../../watch.js";

import{jscpd}from"./jscpd.js";
import{lint,lintWatch}from"./lint.js";

export const check=gulp.parallel(lint(),jscpd);

const checkWatchRun=gulp.parallel(lintWatch);


check.description="Lint/check source files";

const checkWatchTask=getWatchTask(
[
JAVASCRIPT,
MARKDOWN,
...JSON_YAML,
...IGNORED_SOURCES.map((ignoredSource)=>`!${ignoredSource}`)],

checkWatchRun);


export const checkWatch=gulp.series(check,checkWatchTask);


checkWatch.description="Lint/check source files (watch mode)";
//# sourceMappingURL=main.js.map