import{execa}from"execa";


export const printAutoChangelog=async function(){
const{stdout:lastTag}=await execa("git",["describe","--abbrev=0"]);

if(!lastTag.startsWith("v")){
throw new TypeError("Could not find last git tag.");
}

const{stdout:changelog}=await execa("git",[
"log",
"--pretty=format:* %s (%h)",
`${lastTag}..HEAD`]);


if(changelog.trim()===""){
throw new TypeError("Empty changelog.");
}


console.log(changelog.trim());
};
//# sourceMappingURL=auto.js.map