import config from"@ehmicky/eslint-config";
import gulp from"gulp";
import gulpIf from"gulp-if";
import gulpPrettier from"gulp-prettier";
import{format}from"prettier";

import{
JAVASCRIPT,
TYPESCRIPT,
MARKDOWN,
JSON_YAML,
IGNORED_SOURCES}from
"../../files.js";
import{bind}from"../../utils.js";


const prettier=function(mode){
const stream=gulp.src(
[
JAVASCRIPT,
TYPESCRIPT,
MARKDOWN,
...JSON_YAML,
...IGNORED_SOURCES.map((ignoredSource)=>`!${ignoredSource}`)],

{
dot:true,

since:gulp.lastRun(prettierLoose)
});


if(mode==="strict"){
return stream.pipe(gulpPrettier.check(config));
}

return stream.
pipe(gulpPrettier(config)).
pipe(gulpIf(isPrettified,gulp.dest(getBase)));
};

export const prettierLoose=bind(prettier,"loose");
export const prettierStrict=bind(prettier,"strict");
export const prettierSilent=bind(prettier,"silent");

const isPrettified=function({isPrettier}){
return isPrettier;
};

const getBase=function({base}){
return base;
};


export const prettierReleaseNotes=function(contents){
return format(contents,{...config,parser:"markdown",proseWrap:"never"});
};
//# sourceMappingURL=prettier.js.map